2015-01-30  kassoulet <gautier@soundconverter.org>

	* configure.in: Change version number to 2.1.5

2015-01-30  kassoulet <gautier@soundconverter.org>

	* configure.in, po/ar.po, po/ast.po, po/bg.po, po/br.po, po/ca.po,
	po/cs.po, po/da.po, po/de.po, po/el.po, po/en_AU.po, po/en_CA.po,
	po/en_GB.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	po/fi.po, po/fr.po, po/fr_CA.po, po/fr_FR.po, po/gl.po, po/he.po,
	po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lv.po,
	po/ml.po, po/ms.po, po/nl.po, po/pl.po, po/pt.po, po/pt_BR.po,
	po/ru.po, po/sk.po, po/sl.po, po/soundconverter.pot, po/sr.po,
	po/sr@Latn.po, po/sr@latin.po, po/sv.po, po/te.po, po/tr.po,
	po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po: Update translations.

2014-12-27  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Convert filenames to URIs in file-drop
	callback.

2014-12-04  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Only add xing header when generating
	VBR MP3s.

2014-10-02  kassoulet <gautier@soundconverter.org>

	* data/soundconverter-logo.svg, data/soundconverter.svg: Redid logo,
	this time the licence is public domain.

2014-08-24  kassoulet <gautier@soundconverter.org>

	* README, bin/soundconverter.py, configure.in,
	data/soundconverter.glade, soundconverter/__init__.py,
	soundconverter/batch.py, soundconverter/error.py,
	soundconverter/fileoperations.py, soundconverter/gconfstore.py,
	soundconverter/gstreamer.py, soundconverter/messagearea.py,
	soundconverter/namegenerator.py, soundconverter/notify.py,
	soundconverter/queue.py, soundconverter/settings.py,
	soundconverter/soundfile.py, soundconverter/task.py,
	soundconverter/ui.py, soundconverter/utils.py: Bump version number
	for 2.1.4.

2014-08-19  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Missing plugins handling: ignore
	video codecs.  This seems to fix the forever-loop in Ubuntu 14.04
	while converting videos.  Fix lp:1308187, thanks Thibaut.

2014-08-19  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py, soundconverter/ui.py: Append a random
	string to temporary filename to avoid colisions.  Fix lp:1357597,
	thanks Evert.

2014-08-19  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: TagList is now immuable, copy to
	local dict first.

2014-07-14  kassoulet <gautier@soundconverter.org>

	* soundconverter/fileoperations.py, soundconverter/ui.py: 1339836
	followup. CHeck if destination folder is writable before use.
	CLoses lp:1339836 again, thanks François.

2014-07-12  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Make sure target-folder-chooser is
	local-only.  Closes lp:1339836, thanks François & Michael.

2014-05-10  kassoulet <gautier@soundconverter.org>

	* po/soundconverter.pot: Update pot file.

2014-05-07  kassoulet <gautier@soundconverter.org>

	* po/fr.po: Fix french translation.

2014-05-07  kassoulet <gautier@soundconverter.org>

	* data/soundconverter.glade: Make sure all menu entries are
	translated.

2014-04-25  kassoulet <gautier@soundconverter.org>

	* configure.in: Release 2.1.3

2014-04-24  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Add 10ms tolerance to audiorate.  This is needed because recent gstreamer produces awful noise in the
	output when using audiorate.  gstreamer 0.10.26+ is required closes lp:1310576, thanks Allan.

2014-04-17  kassoulet <gautier@soundconverter.org>

	* ChangeLog: Add message in ChangeLog file in order to clarify how
	it's made.

2014-04-17  kassoulet <gautier@soundconverter.org>

	* tests/unittests.py: Add a test with % in filename.

2014-04-17  kassoulet <gautier@soundconverter.org>

	* soundconverter/namegenerator.py: Fix quoting.

2014-04-17  kassoulet <gautier@soundconverter.org>

	* tests/unittests.py: Update unittests.

2014-04-11  kassoulet <gautier@soundconverter.org>

	* soundconverter/batch.py, soundconverter/gstreamer.py: Remove
	unused code.

2014-04-11  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py, soundconverter/ui.py: Create
	temporary files on destination (root) folder.  Closes #1301095,
	thanks Lem.

2014-03-18  kassoulet <gautier@soundconverter.org>

	* soundconverter/fileoperations.py: Fix the strange
	AccessDeniedError by expandind the checked section.  Fix lp:1293517.
	Thanks Bill & Michael.

2014-01-21  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: add gtk builder translation domain, so all
	strings are translated.  Closes #1255287, Thanks Peter.

2014-01-03  Gautier Portet <kassoulet@gmail.com>

	* : Merge pull request #8 from padawin/set-converter-error set self.error in the on_error event handler

2013-12-31  Ghislain Rodrigues <git@ghislain-rodrigues.fr>

	* soundconverter/gstreamer.py: set self.error in the on_error event
	handler

2013-12-31  Ghislain Rodrigues <git@ghislain-rodrigues.fr>

	* data/soundconverter.glade: CTRL+Q shortcut added to quit
	soundconverter

2013-12-25  Gautier Portet <kassoulet@gmail.com>

	* : Merge pull request #7 from pawelulita/master Removing messy characters messed up additional directories created
	after conversion.

2013-12-24  Pawel Ulita <ulitapawel@gmail.com>

	* data/soundconverter.glade, soundconverter/namegenerator.py: 
	Replacing messy characters replaced also "/".

2013-11-17  kassoulet <gautier@soundconverter.org>

	* : commit 760295ab2ed0133634c01ea4188cdcaa80e53b3e Author:
	kassoulet <gautier@soundconverter.org> Date:   Sun Nov 17 21:47:21
	2013 +0100

2013-11-17  kassoulet <gautier@soundconverter.org>

	* soundconverter/task.py: remove debug print.

2013-11-17  kassoulet <gautier@soundconverter.org>

	* data/soundconverter.appdata.xml: update appdata screenshot to wide
	screen.

2013-11-14  Gautier Portet <kassoulet@gmail.com>

	* : Merge pull request #6 from pawelulita/master Bugfix #584603 (Filename processing turns good chars to _)

2013-11-12  Pawel Ulita <ulitapawel@gmail.com>

	* data/soundconverter.glade, soundconverter/namegenerator.py: 
	"Replace all messy characters" uses to blacklist and removes only
	several reserved characters (bugfix #584603).

2013-11-06  kassoulet <gautier@soundconverter.org>

	* data/soundconverter.appdata.xml: Add screenshot dimensions in
	appdata.xml

2013-11-04  kassoulet <gautier@soundconverter.org>

	* : commit 8b0a42850cf5328e1991cfb0bfda1ee0ac728798 Author:
	kassoulet <gautier@soundconverter.org> Date:   Mon Nov 4 20:48:34
	2013 +0100

2013-11-03  Gautier Portet <kassoulet@gmail.com>

	* : Merge pull request #5 from pawelulita/master Bugfix #1240770

2013-10-08  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Make use of vfs_unlink()

2013-10-08  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Store error message on GStreamer
	error, so we keep a track on it.  Closes lp:1205828, thanks Ivo!

2013-10-08  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Reset codec install cancellation
	after conversion.  Closes lp:1213244, thanks Michael.

2013-09-19  kassoulet <gautier@soundconverter.org>

	* data/soundconverter.desktop.in.in: Remove Video from .desktop
	categories.  Thanks Richard. lp:1227528.

2013-09-19  kassoulet <gautier@soundconverter.org>

	* data/Makefile.am, data/soundconverter.appdata.xml: Add AppData
	file.  Thanks Richard. lp:1227535.

2013-09-03  kassoulet <gautier@soundconverter.org>

	* : commit 1aa0061e86d0eead296b928b7ab32a988403d5b2 Author:
	kassoulet <gautier@soundconverter.org> Date:   Tue Sep 3 15:30:55
	2013 +0200

2013-08-01  Gautier Portet <kassoulet@gmail.com>

	* : Merge pull request #4 from RyDroid/patch-1 Py3 print and some minor changes

2013-08-01  RyDroid <rydroid_dev@yahoo.com>

	* soundconverter/task.py: Update task.py

2013-08-01  RyDroid <rydroid_dev@yahoo.com>

	* soundconverter/gstreamer.py: Update gstreamer.py

2013-08-01  RyDroid <rydroid_dev@yahoo.com>

	* soundconverter/namegenerator.py: Update namegenerator.py

2013-08-01  RyDroid <rydroid_dev@yahoo.com>

	* soundconverter/utils.py: Update utils.py Py3 print

2013-08-01  RyDroid <rydroid_dev@yahoo.com>

	* soundconverter/gstreamer.py: Update gstreamer.py Py3 print

2013-08-01  RyDroid <rydroid_dev@yahoo.com>

	* tests/unittests.py: Update unittests.py

2013-08-01  RyDroid <rydroid_dev@yahoo.com>

	* data/soundconverter-logo.svg: Update soundconverter-logo.svg

2013-08-01  RyDroid <rydroid_dev@yahoo.com>

	* data/soundconverter-logo.svg: Update soundconverter-logo.svg

2013-08-01  RyDroid <rydroid_dev@yahoo.com>

	* soundconverter/batch.py: Update batch.py Py3 print

2013-08-01  Gautier Portet <kassoulet@gmail.com>

	* : Merge pull request #3 from RyDroid/patch-2 Update soundconverter.py (Py3 print)

2013-08-01  Gautier Portet <kassoulet@gmail.com>

	* : Merge pull request #2 from RyDroid/patch-1 French translation corrections

2013-07-30  RyDroid <rydroid_dev@yahoo.com>

	* po/fr.po: Update fr.po

2013-07-30  RyDroid <rydroid_dev@yahoo.com>

	* po/fr.po: Update fr.po Some corrections

2013-04-23  kassoulet <gautier@soundconverter.org>

	* configure.in: release 2.1.1

2013-04-22  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Use new mp3 encoder instead of
	deprecated one.  Closes lp:1075951

2013-04-22  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Fix error when conversion has errors.

2013-04-16  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py, soundconverter/task.py: New
	emit_async() so 'finished' signals will not be run before the real
	end of the task.

2013-04-16  kassoulet <gautier@soundconverter.org>

	* soundconverter/fileoperations.py: vfs_rename returns an error.

2013-04-16  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Skip renaming if errors.

2013-04-16  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Change plugin installation.   - make sure pipeline restarts after installation.   - wait while installation is pending.   - if user cancel installation, don't even start the following ones.

2013-04-16  kassoulet <gautier@soundconverter.org>

	* soundconverter/queue.py: Assure TaskQueue has the right defaults
	when starting and finishing.

2013-04-16  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Revert patch lp:1121297 since it breaks
	error reporting.  reset_counters() was called before error
	reporting.

2013-04-01  kassoulet <gautier@soundconverter.org>

	* configure.in: release 2.1.0

2013-03-31  kassoulet <gautier@soundconverter.org>

	* soundconverter/fileoperations.py: Display error when file renaming
	fails.

2013-03-28  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py, soundconverter/queue.py,
	soundconverter/ui.py: Correctly handle pause.

2013-03-27  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Make sure progress calback desactivate
	itself when conversion is done.

2013-03-26  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py, soundconverter/ui.py: Remove unused
	tags stuff.

2013-03-26  kassoulet <gautier@soundconverter.org>

	* soundconverter/fileoperations.py: Add comments.

2013-03-26  kassoulet <gautier@soundconverter.org>

	* soundconverter/fileoperations.py, soundconverter/gstreamer.py,
	soundconverter/namegenerator.py, soundconverter/ui.py: Stop using
	TagReader.  Files are renamed after conversion, and written in
	temporary files.

2013-03-05  kassoulet <gautier@soundconverter.org>

	* soundconverter/queue.py: Protect task_finished. task_finished
	could be called after queue.abort() was called, as mentionned in
	lp:1133322.

2013-03-05  kassoulet <gautier@soundconverter.org>

	* soundconverter/queue.py: Fix the number of tasks in queue in log.
	Thanks Michael, closes lp:1145088.

2013-03-02  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Reassign row numbers to soundfiles after
	removing.  Applied patch from Michael. Closes lp:1139620

2013-02-26  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py, soundconverter/queue.py,
	soundconverter/task.py: Add an "aborted" signal to handle
	normal/aborted task end.  Hopefully, this is clearer...

2013-02-26  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py, soundconverter/task.py: Remove unused
	Task.paused.

2013-02-26  kassoulet <gautier@soundconverter.org>

	* soundconverter/error.py, soundconverter/gstreamer.py,
	soundconverter/task.py, soundconverter/ui.py: Remove unused
	Exception handling.

2013-02-26  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Finally make use of query_position to
	determine position in the stream.  We used a buffer probe because
	query_position was not working propertly a loooong time ago. But
	querying position will be hugely faster than a callback called for
	each buffer decoded...

2013-02-26  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Oops. Fix previous commit.

2013-02-26  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Force per-file progress to one after
	completing task, since Vorbis decoding doesn't update its
	progression.  Part of lp:1132916, thanks Michael.

2013-02-25  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Reset per-file progress bars when starting
	conversion, as they stayed at the same value after canceling
	conversion.  Closes lp:1132936, thanks Michael.

2013-02-20  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Fix commit e4b05c. read_tags must not be
	recursive.

2013-02-19  kassoulet <gautier@soundconverter.org>

	* bin/soundconverter.py, soundconverter/batch.py,
	soundconverter/gstreamer.py: Unquote filenames when displaying
	progress in batch mode.

2013-02-19  kassoulet <gautier@soundconverter.org>

	* soundconverter/fileoperations.py: Fix crash when using filenames
	with colons in batch mode.  Closes lp:1128080, Thanks Michael.

2013-02-15  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Fix files removing.  Patch from Michael.
	Closes lp:1123519, thanks Michael.

2013-02-15  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Remove warning when dropping files.  Patch
	from Michael.  Closes lp:1124015, thanks Michael.

2013-02-15  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Disable GNOME Audio Profile output if no
	profiles are available.  Closes lp:1123957, thanks Michael.

2013-02-12  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py, soundconverter/ui.py: Remove
	ConverterQueue* exceptions, and replace by an explicit error return.  These exceptions were thrown by ConverterQueue.add() which was
	potentially called by an idle callback, so exceptions were not
	propagated.  We use now an explicit error return, and a new member of
	SoundConverterWindow to take care of errors.  Closes lp:1121192, thanks Michael.

2013-02-10  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Apply patch from Michael. Empty task queue
	when aborting.  Closes lp:1121297, thanks Michael.

2013-02-10  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Change order of audioconvert and
	audioresample in pipeline.  As Michael noticed, this is now the
	right order.  Closes lp:1121132, thanks Michael.

2013-02-10  kassoulet <gautier@soundconverter.org>

	* bin/soundconverter.py: Better message when a required python
	module is missing.

2013-02-10  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Apply patch from Michael fixing
	  TypeError when calling show_error.  Closes lp:1121164, thanks
	Michael.

2013-02-05  kassoulet <gautier@soundconverter.org>

	* bin/soundconverter.py: Enable translation before load glade file.
	Fixes lp:1104988.

2013-02-05  kassoulet <gautier@soundconverter.org>

	* po/ar.po, po/bg.po, po/br.po, po/ca.po, po/cs.po, po/da.po,
	po/de.po, po/el.po, po/en_AU.po, po/en_GB.po, po/eo.po, po/es.po,
	po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/fr_CA.po,
	po/gl.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	po/ml.po, po/ms.po, po/nl.po, po/pl.po, po/pt.po, po/pt_BR.po,
	po/ru.po, po/sk.po, po/sl.po, po/soundconverter.pot, po/sr.po,
	po/sr@Latn.po, po/sr@latin.po, po/sv.po, po/te.po, po/tr.po,
	po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po: Update po

2013-02-05  kassoulet <gautier@soundconverter.org>

	* po/ar.po, po/bg.po, po/br.po, po/ca.po, po/cs.po, po/da.po,
	po/de.po, po/el.po, po/en_AU.po, po/en_GB.po, po/eo.po, po/es.po,
	po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/fr_CA.po,
	po/gl.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	po/ml.po, po/ms.po, po/nl.po, po/pl.po, po/pt.po, po/pt_BR.po,
	po/ru.po, po/sk.po, po/sl.po, po/soundconverter.pot, po/sr.po,
	po/sr@Latn.po, po/sr@latin.po, po/sv.po, po/te.po, po/tr.po,
	po/uk.po, po/vi.po, po/zh_CN.po, po/zh_TW.po: Again...

2013-02-05  kassoulet <gautier@soundconverter.org>

	* po/ar.po, po/bg.po, po/br.po, po/ca.po, po/cs.po, po/da.po,
	po/de.po, po/el.po, po/en_AU.po, po/en_GB.po, po/eo.po, po/es.po,
	po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/fr_CA.po,
	po/gl.po, po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po,
	po/ml.po, po/ms.po, po/nl.po, po/pl.po, po/pt.po, po/pt_BR.po,
	po/ru.po, po/sk.po, po/sl.po, po/sr.po, po/sr@Latn.po,
	po/sr@latin.po, po/sv.po, po/te.po, po/tr.po, po/uk.po, po/vi.po,
	po/zh_CN.po, po/zh_TW.po: Update translations ++

2013-02-05  kassoulet <gautier@soundconverter.org>

	* po/ar.po, po/ast.po, po/bg.po, po/br.po, po/ca.po, po/cs.po,
	po/da.po, po/de.po, po/el.po, po/en_AU.po, po/en_GB.po, po/eo.po,
	po/es.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	po/fr_CA.po, po/gl.po, po/he.po, po/hi.po, po/hu.po, po/it.po,
	po/ja.po, po/ko.po, po/lv.po, po/ml.po, po/ms.po, po/nl.po,
	po/pl.po, po/pt.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sl.po,
	po/soundconverter.pot, po/sr.po, po/sr@Latn.po, po/sr@latin.po,
	po/sv.po, po/te.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po,
	po/zh_TW.po: Update translations.

2012-12-10  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Fix the fix. When URIs have different
	scheme.  (Even if this not supported by SoundConverter...)

2012-12-10  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Fix the extraction of a base folder when the
	files added are in / folder.  Traditionnals python functions can't
	be used since they remove a part of the uri scheme.  Close
	lp:1087901, thanks ideasman42 and Michael.

2012-12-03  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Apply patch from Michael Schwendt. Close
	lp:1063724 (File chooser resets folder to home)

2012-12-03  kassoulet <gautier@soundconverter.org>

	* soundconverter/error.py, soundconverter/ui.py: Apply patch from
	Michael Schwendt, closing lp:1077880 (No space left on device)

2012-10-07  kassoulet <gautier@soundconverter.org>

	* NEWS, po/fr.po: version 2.0.4

2012-10-07  kassoulet <gautier@soundconverter.org>

	* po/ar.po, po/ast.po, po/bg.po, po/br.po, po/ca.po, po/cs.po,
	po/da.po, po/de.po, po/el.po, po/en_AU.po, po/en_GB.po, po/eo.po,
	po/es.po, po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po,
	po/fr_CA.po, po/gl.po, po/he.po, po/hi.po, po/hu.po, po/it.po,
	po/ja.po, po/ko.po, po/lv.po, po/ml.po, po/ms.po, po/nl.po,
	po/pl.po, po/pt.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sl.po,
	po/soundconverter.pot, po/sr.po, po/sr@Latn.po, po/sr@latin.po,
	po/sv.po, po/te.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po,
	po/zh_TW.po: Update translations.

2012-10-06  kassoulet <gautier@soundconverter.org>

	* bin/soundconverter.py: Finally fix the setlocale problem.

2012-10-06  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Fix typo with opus-bitrate setting.

2012-10-06  kassoulet <gautier@soundconverter.org>

	* configure.in: upgrade configure.in

2012-10-06  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Add Opus quality settings

2012-10-04  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Support for Opus codec.

2012-10-04  kassoulet <gautier@soundconverter.org>

	* data/soundconverter.glade, soundconverter/gstreamer.py,
	soundconverter/ui.py: UI additions for opus support.

2012-07-30  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Remove profile setting from faac
	encoding, since it seems that some gstreamer instalations don't
	support this.  Closes lp:954555, thanks Patrick and zebul666.

2012-06-29  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Fix crash with folderchooser.  Closes
	fedora:836338, thanks Michael.

2012-05-20  kassoulet <gautier@soundconverter.org>

	* bin/soundconverter.py: Handle exceptions with setlocale.  Closes
	lp:1001347, thanks Edward.

2012-05-13  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Use parent folder as base path when only one
	folder is passed to add_uris.  Closes lp:998371, thank Bastian.

2012-05-10  kassoulet <gautier@soundconverter.org>

	* bin/soundconverter.py, doc/soundconverter.1,
	soundconverter/gstreamer.py, soundconverter/ui.py: Fix arguments
	 parsing so -m and -s work.  Closes lp:988262, thanks Michael.  Add missing default encoding parameters so batch mode stops
	 crashing.  Closes lp:995862, thanks Michael.

2012-04-29  kassoulet <gautier@soundconverter.org>

	* bin/soundconverter.py, soundconverter/gstreamer.py,
	soundconverter/ui.py: Finalize batch mode.  No more message dialogs
	in gtreamer.py + notification failback.

2012-04-27  kassoulet <gautier@soundconverter.org>

	* bin/soundconverter.py: Fix batch mode failback.

2012-04-27  kassoulet <gautier@soundconverter.org>

	* bin/soundconverter.py, soundconverter/Makefile.am,
	soundconverter/batch.py, soundconverter/gstreamer.py: WIP batch mode
	fix.

2012-04-27  kassoulet <gautier@soundconverter.org>

	* bin/soundconverter.py: change error message when importing a not
	supported version version of pygtk.

2012-04-23  kassoulet <gautier@soundconverter.org>

	* NEWS: Version 2.0.3

2012-04-19  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Increase lowpass frequency to 20KHz
	when encoding to high quality mp3.  Fix lp:881413, thanks Michael.

2012-04-18  kassoulet <gautier@soundconverter.org>

	* po/Makefile.in.in, po/ar.po, po/ast.po, po/bg.po, po/br.po,
	po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/en_AU.po,
	po/en_GB.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	po/fi.po, po/fr.po, po/fr_CA.po, po/gl.po, po/he.po, po/hi.po,
	po/hu.po, po/it.po, po/ja.po, po/ko.po, po/lv.po, po/ml.po,
	po/ms.po, po/nl.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ru.po,
	po/sk.po, po/sl.po, po/soundconverter.pot, po/sr.po, po/sr@Latn.po,
	po/sr@latin.po, po/sv.po, po/te.po, po/tr.po, po/uk.po, po/vi.po,
	po/zh_CN.po, po/zh_TW.po: Update translations.

2012-04-18  kassoulet <gautier@soundconverter.org>

	* soundconverter/namegenerator.py: Use the original filename as a
	title by default, so filename generation works even if there are no
	tags.  fix lp:984790

2012-04-18  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: pulse_progress can be at 0, disabling
	progress while it was in fact used.

2012-04-03  kassoulet <gautier@soundconverter.org>

	* soundconverter/namegenerator.py: Disable common root handling when
	we are creating folder using tags.  (thanks Eric, closes #972158)

2012-03-19  kassoulet <gautier@soundconverter.org>

	* configure.in, soundconverter/gstreamer.py, soundconverter/ui.py: 
	Fix row progress.

2012-02-27  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Fix progress-related blocking by speeding up
	the progress update.  Closes #940648, thanks Ben.

2012-02-22  kassoulet <gautier@soundconverter.org>

	* INSTALL: Remove INSTALL file as it's generated.

2012-02-22  kassoulet <gautier@soundconverter.org>

	* configure.in, po/fr_CA.po: Add canadian french.

2012-02-21  kassoulet <gautier@soundconverter.org>

	* bin/soundconverter.py, data/soundconverter.desktop.in.in,
	data/soundconverter.glade, soundconverter/gstreamer.py: Fix many
	English spelling errors.  (Thanks Alain-Olivier)

2012-01-30  kassoulet <gautier@soundconverter.org>

	* NEWS, configure.in: readying 2.0.1

2012-01-30  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Clamp progress so we don't get
	hammered by gtk warnings :)

2012-01-30  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py, soundconverter/ui.py: Oops,
	gnome-audio-profiles are broken, fix that!

2012-01-30  kassoulet <gautier@soundconverter.org>

	* data/soundconverter.desktop.in.in: Add another FLAC entry to the
	supported mimetypes since its the one used in recent distribs.

2012-01-30  Gautier Portet <kassoulet  gmail.com>

	* : Merge pull request #1 from schuay/master Fix set syntax in gstreamer.py

2012-01-27  kassoulet <gautier@soundconverter.org>

	* NEWS, data/soundconverter.glade: Fix size of our custom menu
	icons.  thanks Johan.

2012-01-26  kassoulet <gautier@soundconverter.org>

	* NEWS: Update NEWS.

2012-01-26  kassoulet <gautier@soundconverter.org>

	* configure.in: 2.0!

2012-01-26  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Fix progress display.  Pulse and Fraction
	displays should be nicer now.  Display progress when reading tags.

2012-01-26  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Fix crash when reading tags.
	TagReader objects were destroyed before receiving callbacks, cauing
	a huge mess.

2012-01-25  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: get_current_folder() sometimes return None,
	handle it.  Closes #921515, thanks Danilo & Michael.

2012-01-18  kassoulet <gautier@soundconverter.org>

	* configure.in, po/ar.po, po/ast.po, po/bg.po, po/br.po, po/ca.po,
	po/cs.po, po/da.po, po/de.po, po/el.po, po/en_AU.po, po/en_GB.po,
	po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po, po/fi.po,
	po/fr.po, po/gl.po, po/he.po, po/hi.po, po/hu.po, po/it.po,
	po/ja.po, po/lv.po, po/ml.po, po/ms.po, po/nl.po, po/pl.po,
	po/pt.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sl.po,
	po/soundconverter.pot, po/sr.po, po/sr@Latn.po, po/sr@latin.po,
	po/sv.po, po/te.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po,
	po/zh_TW.po: Update translations.

2012-01-16  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py, soundconverter/settings.py: Add a
	filename blacklist, to exclude .iso files.  closes #883974, thanks
	Anton.

2012-01-16  kassoulet <gautier@soundconverter.org>

	* data/soundconverter.glade: Fix buttons orientation in add_files.

2012-01-12  kassoulet <gautier@soundconverter.org>

	* NEWS, configure.in: 2.0-rc5

2012-01-12  kassoulet <gautier@soundconverter.org>

	* soundconverter/namegenerator.py: Translate default
	album/artist/title names.  Closes #910522.

2012-01-12  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Don't try to display images in log :)

2012-01-12  kassoulet <gautier@soundconverter.org>

	* po/ar.po, po/bg.po, po/br.po, po/ca.po, po/cs.po, po/da.po,
	po/de.po, po/el.po, po/en_AU.po, po/en_GB.po, po/eo.po, po/es.po,
	po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po,
	po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ml.po,
	po/ms.po, po/nl.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ru.po,
	po/sk.po, po/sl.po, po/soundconverter.pot, po/sr.po, po/sr@Latn.po,
	po/sr@latin.po, po/sv.po, po/te.po, po/tr.po, po/uk.po, po/vi.po,
	po/zh_CN.po: Update po.  Update fr.po.

2012-01-12  kassoulet <gautier@soundconverter.org>

	* data/soundconverter.glade: Remove horizontal scroller on filelist
	since it should nerver be shown.

2012-01-05  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py, soundconverter/ui.py: Woops, patched
	the wrong (duplicated) code.  So: Check validity of Gstreamer Audio
	Profiles.  Fix commit d5b5046, closes fedora #744596.

2012-01-04  kassoulet <gautier@soundconverter.org>

	* po/soundconverter.pot: Update pot file.

2012-01-04  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py, soundconverter/ui.py: Fix problem
	with Mime type combobox when any encoder is disabled.  Closes
	#911759

2012-01-04  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Remove Test Code.

2012-01-04  kassoulet <gautier@soundconverter.org>

	* NEWS, configure.in: Readying rc4.

2012-01-04  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Fix audio profile combobox.

2012-01-03  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Use clear() to clear filelist model and set.
	Now clearing is instant.

2012-01-03  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Remove unused tagreaders.

2012-01-03  kassoulet <gautier@soundconverter.org>

	* README, bin/soundconverter.py, data/soundconverter.glade,
	soundconverter/__init__.py, soundconverter/error.py,
	soundconverter/fileoperations.py, soundconverter/gconfstore.py,
	soundconverter/gstreamer.py, soundconverter/messagearea.py,
	soundconverter/namegenerator.py, soundconverter/notify.py,
	soundconverter/queue.py, soundconverter/settings.py,
	soundconverter/soundfile.py, soundconverter/task.py,
	soundconverter/ui.py, soundconverter/utils.py: year++

2012-01-03  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: FileList filling is now defered. We only add
	to the ListStore when we are done scanning files, and we disconnect
	the view from the model since it's way faster.

2012-01-03  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Add experimental code.

2012-01-03  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Reset selected audio profile if not a valid
	one.  Close #814015

2011-12-31  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Check validity of Gstreamer Audio
	Profiles.  Closes Fedora #744596

2011-12-23  kassoulet <gautier@soundconverter.org>

	* data/soundconverter.glade, soundconverter/ui.py: Fix resample
	combobox.

2011-12-14  kassoulet <gautier@soundconverter.org>

	* Makefile.am, NEWS, configure.in, data/Makefile.am,
	data/soundconverter.glade, data/soundconverter.gladep,
	soundconverter/gstreamer.py, soundconverter/ui.py: Readying 2.0-rc2

2011-12-12  kassoulet <gautier@soundconverter.org>

	* data/soundconverter.glade, soundconverter/gstreamer.py,
	soundconverter/ui.py: Fix GnomeAudioProfile by adding a resample
	element.  Disable reasmple&mono while in GAP mode since they are
	bypassed by profiles.

2011-12-12  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Fix wav encoding.  Wav encoding to
	8bit depth was broken.

2011-12-06  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Remove partial file when installing
	codecs.

2011-12-06  kassoulet <gautier@soundconverter.org>

	* Makefile.am, soundconverter/gstreamer.py: Fix progress display
	after installing codecs.

2011-11-28  kassoulet <gautier@soundconverter.org>

	* Makefile.am: Merge Makefile.am

2011-11-28  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py, tests/unittests.py: Remove unused
	variable and removes tabs from unittests.

2011-11-28  kassoulet <gautier@soundconverter.org>

	* bin/soundconverter.py, configure.in, soundconverter/gstreamer.py,
	soundconverter/ui.py: Remove unused variables, readying 2.0 version.

2011-11-28  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Fix progress display when displaying
	overwrite? dialog.  Make progress pulsate when an "overwrite files?" dialog is
	displayed, and make sure progress is showing up when overwriting.

2011-11-23  kassoulet <gautier@soundconverter.org>

	* data/soundconverter.glade: Yes yes yes, again...

2011-11-23  kassoulet <gautier@soundconverter.org>

	* data/soundconverter.glade, po/ar.po, po/bg.po, po/br.po,
	po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/en_AU.po,
	po/en_GB.po, po/eo.po, po/es.po, po/et.po, po/eu.po, po/fa.po,
	po/fi.po, po/fr.po, po/gl.po, po/he.po, po/hi.po, po/hu.po,
	po/it.po, po/ja.po, po/ml.po, po/ms.po, po/nl.po, po/pl.po,
	po/pt.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sl.po,
	po/soundconverter.pot, po/sr.po, po/sr@Latn.po, po/sr@latin.po,
	po/sv.po, po/te.po, po/tr.po, po/uk.po, po/vi.po, po/zh_CN.po: Intl
	related fixes in glade file.

2011-11-23  kassoulet <gautier@soundconverter.org>

	* po/ar.po, po/bg.po, po/br.po, po/ca.po, po/cs.po, po/da.po,
	po/de.po, po/el.po, po/en_AU.po, po/en_GB.po, po/eo.po, po/es.po,
	po/et.po, po/eu.po, po/fa.po, po/fi.po, po/fr.po, po/gl.po,
	po/he.po, po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ml.po,
	po/ms.po, po/nl.po, po/pl.po, po/pt.po, po/pt_BR.po, po/ru.po,
	po/sk.po, po/sl.po, po/soundconverter.pot, po/sr.po, po/sr@Latn.po,
	po/sr@latin.po, po/sv.po, po/te.po, po/tr.po, po/uk.po, po/vi.po,
	po/zh_CN.po: po update.

2011-11-23  kassoulet <gautier@soundconverter.org>

	* Makefile.am, bin/Makefile.am, configure.in: Build update.  autoupdate.  xz dist archive.  Bump version to 1.6.0-rc1

2011-11-23  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py, soundconverter/namegenerator.py,
	soundconverter/soundfile.py, soundconverter/ui.py: More cleaning.

2011-11-23  kassoulet <gautier@soundconverter.org>

	* AUTHORS, data/soundconverter.glade, data/soundconverter.spec,
	soundconverter/gstreamer.py: Cosmetic changes.

2011-11-21  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Add an audiorate element to fix
	snapping in vorbis output.  Fix #508767 Thanks Tim-Philipp.

2011-11-21  kassoulet <gautier@soundconverter.org>

	* : commit 60febf809d4a48faead9f0bb730fcecce8b1fcb4 Author: gautier
	<gautier.portet@vegatechnologies.fr> Date:   Mon Nov 21 13:51:06
	2011 +0100

2011-11-21  kassoulet <gautier@soundconverter.org>

	* TODO: Remove TODO.

2011-11-21  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Useless ?

2011-11-21  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Ensire 0.0 < progress < 1.0.

2011-11-21  kassoulet <gautier@soundconverter.org>

	* Makefile.am, soundconverter/gstreamer.py,
	soundconverter/settings.py, soundconverter/soundfile.py,
	soundconverter/ui.py: Update.

2011-11-16  kassoulet <gautier@soundconverter.org>

	* data/soundconverter.glade, soundconverter/task.py,
	soundconverter/ui.py: Clear and fix the progress and pause code.

2011-11-16  kassoulet <gautier@soundconverter.org>

	* soundconverter/notify.py: Fix import error in notify.

2011-11-16  kassoulet <gautier@soundconverter.org>

	* soundconverter/notify.py: Fix unhandled exception with
	notifications.

2011-11-16  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Remove glithc with progressbar when starting
	conversion.

2011-11-16  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py, soundconverter/ui.py: Simplify
	window.set_progress().

2011-11-16  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py, soundconverter/ui.py: Fix broken
	progress when tagread is active.

2011-11-14  kassoulet <gautier@soundconverter.org>

	* soundconverter/namegenerator.py: Add a function in name generator
	to determine if we have to read tags given the destination filename
	pattern.

2011-11-14  kassoulet <gautier@soundconverter.org>

	* soundconverter/messagearea.py: Update message area. Still unused.

2011-11-14  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py: Lame cutoff frenquency testing.

2011-11-07  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Convert the FileList already-loaded-files
	cache from dict to set. And only add files to it if we indentified a
	media file.

2011-10-27  kassoulet <gautier@soundconverter.org>

	* soundconverter/gstreamer.py, soundconverter/ui.py: Progress is not
	handled by UI.  Some minor style fixes.

2011-10-27  kassoulet <gautier@soundconverter.org>

	* autogen.sh: Stop configure to be called two times.

2011-10-25  kassoulet <gautier@soundconverter.org>

	* ChangeLog, soundconverter/namegenerator.py,
	soundconverter/settings.py, soundconverter/ui.py: Add {Ext} to
	custom filename pattern. Filled by target extension.

2011-10-11  kassoulet <gautier@soundconverter.org>

	* soundconverter/ui.py: Clean and fix previous commit.  Add Unity
	launcher progressbar.

2011-10-11  kassoulet <gautier@soundconverter.org>

	* Make skiptags mode permanent and clear code.

2011-10-25  Gautier Portet <gautier soundconverter org>
	* Add {Ext} to custom filename pattern. Filled by target extension.
	 (Thanks C.Breuer)

2010-11-20  Gautier Portet <gautier soundconverter org>
	* src/soundconverter.py: Make sure all child dialog have a transient.
	 (thanks Cosimo)

2010-09-13  Gautier Portet <kassoulet gmail com>
	* src/soundconverter.py: Remove wrong default for Ogg Quality combobox.
	  (thanks elitenoobboy, fixes #17503)

2010-07-11  Gautier Portet <kassoulet gmail com>
	* po/de.po po/ru.po: Update de and ru translations.
	  (thanks Wolfgang & Oleg)

2010-06-24  Gautier Portet <kassoulet gmail com>
	* src/soundconverter.py: Destination filename was url encoded when stored
	  in gconf.
	  (thanks Simón, fixes #17291)

2010-06-24  Gautier Portet <kassoulet gmail com>
	* src/soundconverter.py: Fix track number/count missing when writing to
	  AAC files.

	  (thanks Montel and Tim-Philipp, fixes #17291)

2010-06-16  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Fix progress bar oddities, crash in TaskQueue and
	  duplicate mp3 entry in desktop file.
	  (Thanks Michael, closes #17269, #17268 and #17266)

	  release 1.5.3 (1.5.2 was broken)

2010-06-13  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Fix typo preventing SoundConverter to run.
	  (thanks logicaldash & mpmic, fixes #17244)

	  release 1.5.1

2010-05-18  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Faster TypeFinder.
	  Reduce memory usage.
	  (61.9s -> 2.8s, 45.5MB -> 37.8MB to load 2918 files)
	  Fix missing "year" tag. (closes #16425)
	  Code cleaning.

	  release 1.5.0

2010-03-17  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Improve command line parser so gstreamer options
	  are working.

2010-03-11  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: New command line parser.
	  (thanks Marco)

2010-03-02  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: New Asynchronous core.
	  Wav sample width setting.
	  Flac compression setting.

	  release 1.5.0-alpha1

2010-02-10  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Add realaudio to mime whitelist.
	  Fixed tagreader stall when adding unrecognized files.

2009-12-14  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Add missing quoting when using destination
	  folder.

2009-11-09  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Fix hanging when trying to load DXR files.
	  (thanks Nastrafireblaze, fix lp:479420)

2009-10-03  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Remember the last used folder when adding
	  files/folders.
	  (thanks szpak, add #4807)

2009-09-30  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Fix wrong destination folder when using both
	  same-folder-as-source, base folder, and custom filename patterns.
	  (thanks Tino, fix #016295)

	* po/nl.po: Update dutch translation.
	  (thanks Tino)

2009-07-15  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Follow symbolic links. Wow, how can something this
	  important can be missing for years ? :)
	  Faster typefinder by removing the useless fakesink.
	  (7m -> 20s on a 16GB folder)

2009-07-02  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Force vbr-max-bitrate to 320 when using mp3+vbr, since
	  gstreamer now defaults to 160 (stupid!).
	  (thanks psychoman, fix #15950)
	  release 1.4.4

2009-06-24  Gautier Portet <kassoulet gmail com>

	* po/: Rosetta sync. Update all translations.
	  Add Danish, English (Australia), Estonian, Japanese and Vietnamese
	  translations.

2009-06-15  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Activate GVfs authentication
	  so we can log to remote shares.
	  (Thanks ikus060, fix lp:386849)

2009-06-10  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py, po/*: update-po !
	  And marked "All files" for intl.
	  (Thanks Uwe)

2009-06-09  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py data/soundconverter.glade autogen.sh po/de.po:
	  Update german tranlation.
	  Plus some minor changes in autogen.
	  (Thanks Uwe)
	* src/soundconverter.py: Fix crash in query_duration when pipeline is null.
	  (fix lp:333024)

2009-05-27  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Change deprecated Tooltip code.
	  SoundConverter now requires GTK 2.12+!
	  (thanks Matt)

2009-05-19  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Reset status after clearing file list.
	  (Thanks Sean)
	* src/soundconverter.py: Allow loading glade file from source folder.
	  (Thanks Geoff)

2009-05-04  Gautier Portet <kassoulet gmail com>

	* po/fr.po: Update french translation. (thanks Olivier)
	* src/soundconverter.py: Fix unhandled exception when
	  removing original files went bad.
	  (fix lp:278782, thanks surreal)

2009-04-22  Gautier Portet <kassoulet gmail com>

	* po/bg.po: Add Bulgarian translation. (thanks Nikola)

2009-04-14  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Fix TagReader freeze when adding
	  m4p files. (lp:263889)
	  release 1.4.3

2009-03-11  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Sanitize URI handling.

2009-03-10  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Fix spelling errors.
	  Removed some translation of log() messages.
	  (thanks Hew)

2009-03-10  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Display an error dialog
	  when something bad happened while encoding.

2009-02-22  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Add notification at the end of
	 conversion.

2009-01-26  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py, data/soundconverter.glade:
	  Add a checkbox to select .oga extension for vorbis files.
	* po/*: Update British, Spanish, Russian and Slovak translations.
	  Release 1.4.2

2008-12-19  Gautier Portet  <kassoulet gmail com>
	* src/soundconverter.py: Oops, removed python 2.5 line, sorry :).
	  (thanks Dag)

2008-12-01  Gautier Portet  <kassoulet gmail com>
	* po/sv.po: Updated swedish translation, removed useless sv_SE.po.
		(thanks Daniel)
	* src/soundconverter.py: add event flushing in BackgroundTask,
	  so GUI should not stall anymore.

2008-11-06  Gautier Portet  <kassoulet gmail com>

	* src/soundconverter.py: Fixed (?) raising of UnicodeDecodeError
	  when tags contained non-utf-8 strings. (fix LP: #223371)
	* po/: Add Breton, Greek, Finnish, Hindi, Telugu and Turkish
	  translations. Sync with Rosetta.

2008-10-14  Gautier Portet  <kassoulet gmail com>

	* src/soundconverter.py: Change status text when adding files, so
	  the user gets a clue of what is happening.

2008-10-04  Gautier Portet  <kassoulet gmail com>

	* src/soundconverter.py: Fix crash at startup when more than one
	  encoding format is missing. (thanks Denis)
	  Release 1.4.1

2008-09-22  Gautier Portet  <kassoulet gmail com>

	* src/soundconverter.py: Fix problem with underscores in dest folder
	  name (thanks Robert).
	  Stop soundconverter trying to load all my disk at startup.
	  Maybe a change in getopt, anyway it's fixed...

2008-09-17  Gautier Portet  <kassoulet gmail com>

	* src/soundconverter.py: Fix old problem with unquoted filenames.
	When you passed filename in arguments, URI where not quoted when
	encoding to same folder, pffff...
	Release 1.4.0

2008-09-16  Gautier Portet  <kassoulet gmail com>

	* src/soundconverter.py: Add AAC quality setting.

2008-09-10  Gautier Portet  <kassoulet gmail com>

	* src/soundconverter.py: Add {Timestamp} filename template.
	  (thanks Mark)

2008-09-09  Gautier Portet  <kassoulet gmail com>

	* data/soundconverter.glade, src/soundconverter.py:
	  Added 320kbps to mp3 quality settings.
	  (thanks Michael)

2008-09-07  Gautier Portet  <kassoulet gmail com>

	* data/soundconverter.glade, src/soundconverter.py:
	  Added quality 10 to vorbis quality settings.
	  (thanks Juan Martin)

2008-09-03  Gautier Portet  <kassoulet gmail com>

	* data/soundconverter.glade, src/soundconverter.py:
	  Reverted useless flac quality setting.
	  Flac files were bigger than necessary because of
	  some default settings in gstreamer, causing both channels
	  to be encoded separately. I added the mid-side-stereo=true
	  option, and bumped encoding quality to max.

2008-08-31  Gautier Portet  <kassoulet gmail com>

	* data/soundconverter.glade, src/soundconverter.py:
	  Applied patch adding optional resampling from Francis.
	  Added flac experimental quality setting.
	   - flac quality do not seems to work with gstreamer ???
           - flac files created by gstreamer are huge...

2008-08-03  Gautier Portet  <kassoulet gmail com>

	* data/soundconverter.glade: Removed the 'translatable' field on stock
	  items.
	* po/pl/po: Updated Polish translation. (thanks Tomasz)


2008-08-03  Gautier Portet  <kassoulet gmail com>

	* src/soundconverter.py: Create-folders is also actived when using
	  same-as-input-folder.
	(fix #13915)
	Release 1.3.2

2008-08-01  Gautier Portet  <kassoulet gmail com>

	* src/soundconverter.py: Fix slash in tag. No more creating unwanted
	folders. This is just a fast hack, slash is just replaced by dash.
	(fix #14286)

2008-07-30  Gautier Portet  <kassoulet gmail com>

	* src/soundconverter.py: Add AAC encoding support as it seems to be
	  fixed in gstreamer.
	  (thanks Ian)
	  (fix #001653)

2008-07-29  Gautier Portet  <kassoulet gmail com>

	* src/soundconverter.py: use giosrc when available.
	* src/soundconverter.py: fix crash when gnomevfssink not present.
	  (fix #14184)

2008-07-26  Gautier Portet  <kassoulet gmail com>

	* po/pl/po: Updated Polish tranlation.
	  (thanks Piotr)

2008-07-03  Gautier Portet  <kassoulet gmail com>

	* src/soundconverter.py: Fix small crasher in batch mode.
	  (fix LP: #243831)

2008-06-23  Gautier Portet  <kassoulet gmail com>

	* src/soundconverter.py: Fix progress related problems in 1.3.0
	  Release 1.3.1

2008-06-23  Gautier Portet  <kassoulet gmail com>

	* src/soundconverter.py: Finally we can process multiple conversions
	  at the same time, yeah!
	  Add --jobs option to force the number of threads, default is number
	  of CPUs.
	  (fix #13735, LP: #226176)
	  Release 1.3.0

2008-06-10  Gautier Portet  <kassoulet gmail com>

	* src/soundconverter.py: Fixes various crashers reported by
	  Ubunteros.
	  (thanks Michael, Øyvind Stegard, Matthieu)
	  (fix LP: #222031  LP: #226685  LP: #230463)

2008-05-29  Gautier Portet <kassoulet gmail com>

	* po/de.po: Update de tranlation.

2008-05-13  Gautier Portet <kassoulet gmail com>

	* po/sr*: Update and fix Serbian translation.

2008-05-12  Gautier Portet <kassoulet gmail com>

	* po/pl.po: update Polish translation.

2008-05-11  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py:  TagReader will not decode whole file anymore, It
	will even not decode them at all !
	TagReader perform *much* faster (500s -> 20s on 260 files)
	(thanks thaytan on #gstreamer)
	Release 1.2.0

2008-05-05  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Got rid of the progress indicator not beeing
	  reset after a conversion.

2008-05-03  Gautier Portet <kassoulet gmail com>

	* po/: Updated Arabic Catalan Czech Spanish French Slovak translations.
	  Added Esperanto Persian translations.
	  Updated po/, updated configure.in.

2008-05-02  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Simplified drag_data_received() so it don't
	  duplicate code in add_uris.
	  Display a message when trying to read cdda: uris.
	  Release 1.1.0

2008-04-29  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Faster startup time, by not running a useless
	  thread when starting.

2008-04-28  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Fix unhandled exception when parsing pipeline
	  command.

2008-04-27  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Add support for codeina/codecbuddy.

2008-04-22  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Fix crash in add_uris().
	  (launchpad #211210)

2008-04-16  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Fix just another unicode problem, this time when
	  trying to remove messy chars. Please, think of the kitten, and give me ascii back!
	  (launchpad #216119)

2008-04-15  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Fix problem with unicode filenames that keep
	  trying to crash the universe.
	  (launchpad #212730)

2008-04-05  Gautier Portet <kassoulet gmail com>

	* Release 1.0.0

2008-03-30  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Only format tags (list) when displaying, So we
	  don't mess with tags we don't understand.
	  (launchpad #179886 thanks Shawn, Matthaeus, Brian)
	  Release 1.0-rc1

2008-03-27  Gautier Portet <kassoulet gmail com>
	* Fix typo which disabled clear list menu item
	* Fix filename_to_uri so it will play nice with
	  relative and absolute paths, thus removing annoying
	  gvfs error message at startup when output folder is
	  not set.
	* CustomFileChooser now have case-insensitive filters.

2008-03-20  Gautier Portet <kassoulet gmail com>
	* Add 3gp to the mime whitelist.

2008-03-11  Gautier Portet <kassoulet gmail com>
	* Add a clear list button on toolbar.
	(thanks mrennecke)

2008-03-02  Gautier Portet <kassoulet gmail com>
	* Add ca, en_GB, ms to the locales.
	* release 0.9.9

2008-03-02  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Fix crash and progress problems after removing
	from the file list. Fix crash whith some filename encodings.

2008-02-05  Gautier Portet <kassoulet gmail com>

	* po/: Added Catalan, English (United Kingdom), Malay Translations.
	Updated Czech, German, Spanish, Italian, Deutch, Russian, Serbian, Chinese
	Traductions

2008-01-08  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Custom filename patterns can now be
	  translated.
	* release 0.9.8

2007-12-26  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Fixed horrible bug #12782 causing deletion
	  of source file when it's the same as destination.

2007-11-14  Gautier Portet <kassoulet gmail com>

	* po/ar,eu,he,sk,zh_CN.po: Added arabic, basque, hebrew, slovak and
	  simplified chinese translations.
	  (thanks Nizar, amenudo, rainofchaos, Pavol, Moshe)

2007-09-11  Gautier Portet <kassoulet gmail com>

	* po/sr.po: Added Serbian translation.
	  (thanks Miloš)

2007-08-31  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: Added a file extension filter in AddFolder.

2007-08-30  Gautier Portet <kassoulet gmail com>

	* data/soundconverter.glade: Added Date, Genre and Year in the
	  custom format hint.

2007-08-02  Gautier Portet <kassoulet gmail com>

	* po/nl.po: Added Dutch translation.

2007-08-01  Gautier Portet <kassoulet gmail com>
	* release 0.9.7

2007-07-31  Gautier Portet <kassoulet gmail com>

	* po/soundconverter.pot: Updated pot file, since it was somewhat outdated.
	* po/de.po: Added German translation.
	  (thanks Martin)
	* po/cs.po: Added Czech translation.
	  (thanks Kamil)
	* src/soundconverter.py, data/soundconverter.glade: Add Folder(s) now work
	  on non-local files aswell.
	* src/soundconverter.py: Added "artist - album" in folder patterns.
	  (thanks Claudio)
	  Fixed char escaping problem in same-folder-as-input mode.
	  Fixed crashing when tags contained a list (ie. multiples authors).
	  (thanks Ken)
	  Better replace-messy-chars, with unicode->ascii to remove diacritics.
	* src/soundconverter.py: Added {Genre}, {Date} and {Year} in custom filename patterns.
	  (thanks Jon)

2007-07-19  Gautier Portet <kassoulet gmail com>

	* po/it.po: Added Italian translation.
	  (thanks Stefano)

2007-07-09  Gautier Portet <kassoulet gmail com>
	* po/es.po: Added spanish translation.
	  (thanks Gary)

2007-07-04  Gautier Portet <kassoulet gmail com>
	* data/soundconverter.desktop, src/soundconverter.py: Changed the desktop
	  file so we accept list of URIs instead of just one local file, so opening
	  multiples files from nautilus will work.

2007-06-25  Gautier Portet <kassoulet gmail com>
	* po/ru.po: added russian translation.
	 (thanks Alexandre)

2007-06-23  Gautier Portet <kassoulet gmail com>

	* src/soundconverter.py: fixed track-count in custom filenames patterns.
	  (thanks Jonas)

2007-06-20  Gautier Portet <kassoulet gmail com>

	* data/soundconverter.desktop: Added common audio mimetypes.

2007-04-27  Gautier Portet <kassoulet gmail com>

	* data/Makefile.am: Removed evil DESTDIR, thanks William!
	* Release 0.9.6

2007-04-25  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Fixed error message when python-gstreamer is
	  absent.
	* Release 0.9.5

2007-04-24  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Better checking of gstreamer elements.
	  Now we stop when required elements are missing, and we disable
	  encoders not present.


2007-04-23  Gautier Portet <kassoulet gmail com>

	* data/: GNOME/FreeDesktop compliant icon handling.
	  Refresh icon cache at (un)install.

2007-04-16  Gautier Portet <kassoulet gmail com>

	* po/ data/soundconverter.desktop: Desktop file translation enabled.

2007-04-15  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Fixed quoting problem with destination folder
	  (#10884).
	* soundconverter.glade: Removed underline handling for destination folder.
	  (#10807)
	* data/: Minor fixes in icons/desktop handling.
	    (#10808)
	  - Changed name to "Sound Converter"
	  - Removed Application from categories.


2007-04-08  Gautier Portet <kassoulet gmail com>

	* soundconverter.glade: Set into_selected_folder use_underline to false
	  so underscores in folder will not be interpreted by GTK.

2007-04-03  Gautier Portet <kassoulet gmail com>

	* po/hu.po: Added hungarian translation.

2007-03-16  Gautier Portet <kassoulet gmail com>

	* po/fr.po: Updated french translation. Changed email address of
	  french translator.

2007-03-05  Gautier Portet <kassoulet gmail com>

	* soundconverter: Use the new window icon.

2007-03-03  Gautier Portet <kassoulet gmail com>

	* soundconverter.Desktop: Applied HIG Complience patch from Ubuntu
	  maintainer (Thanks William)

2007-02-27  Gautier Portet <kassoulet gmail com>

	* soundconverter: Added a link to the website when mp3 encoding is :
	  unavailable, so hopefully it will dramatically reduce the number
	  of emails I receive.
	  Logo/Icon updated.
	* release 0.9.4

2007-02-26  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Replaced xingheader by xingmux, fixing corruption
	  of VBR MP3 (Thanks to James Lee and Pedro Alejandro López-Valencia).

2007-02-22  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Correct escaping of destination. We will not crash
	  anymore when destination folder contains spaces or weirds chars.
	  Fixed a problem with lame parameters when using VBR and lowest
	  quality.

2006-12-15  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: If id3v2mux is not present, we dump it instead of
	  crashing encoder.

2006-12-05  Gautier Portet <kassoulet gmail com>

	* po/pt_BR.po: Updated Brazilian translation.

2006-10-18  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Fixed Tag writing when converting to mp3.
	  Fixed progress.

2006-10-15  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Only remove files when conversion was
	  sucessfull.
	* release 0.9.2

2006-10-12  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Fixed (?) loading of badly encoded filenames.
	  now files encoded in latin-1 should be loadable instead of
	  triggering an UnicodeDecodeError.
	  (thanks Christopher)

2006-09-26  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Added an option to delete original files.
	 (thanks James)

2006-09-19  Gautier Portet <kassoulet gmail com>

	* po/fr.po: french translation updated, Thanks Guillaume.

2006-09-12  Gautier Portet <kassoulet gmail com>

	* po/sv_SE.po: new swedish translation, Thanks Daniel.

2006-09-07  Gautier Portet <kassoulet gmail com>

	* release 0.9.1

2006-09-06  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Fix vorbis encoder.

2006-09-05  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Add a blacklist of mime type known not to have tags,
	to pass them faster.

2006-09-03  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Fix quoting of tags when generating filenames.

2006-08-15  Gautier Portet <kassoulet gmail com>

	* po/pl.po: Updated polish translation.

2006-08-21  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: batch mode will now overwrite files.

2006-08-02  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: progressbar work. some code cleanup.

2006-08-01  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: finally got gstreamer0.10 to work ?

2006-06-21  Gautier Portet <kassoulet gmail com>

	*soundconverter.py: Added and option to select the threading model of
	 BackgroundTask.

2006-06-13  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Batch mode fixes merged from 0.8.

2006-06-12  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: The TagReader timeout starts now when the task really
	  starts.

2006-06-06  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Finally progress is working with GStreamer 0.10!

2006-06-05  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: YEEPEE!!! The bug plagging the gst0.10 port is GONE !!
	  Merge & cleanup from 0.8 branch:

	* soundconverter.py: Use filesrc instead of gnomevfssrc if it's absent.
	  (#7652) (debian #367253)
	* soundconverter: Added Spanish translation.
	* soundconverter: Added a custom file pattern choice. (thanks Adolfo)
	* soundconverter.py: Fix doubled folder (#7403).
	* soundconverter.py: Fix an uncatched InvalidURIError when adding files.
	* soundconverter.glade: Removed preferences and exit toolbar buttons
	  as requested (#6777).


2006-03-29  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: More gstreamer0.10 love. The new api is nice, but
	  porting to it sucks big time.

2006-03-19  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Files permissions are copied from source file.
	  Some more code for gstreamer0.10.

2006-02-06  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Progress dialog is working now.

2006-02-03  Gautier Portet <kassoulet gmail com>

	* soundconverter.glade: Corrected wrong signal called by the
	  addfolder menuitem.

2006-02-02  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Ouch, fixed broken converter pipeline.
	* soundconverter.glade: Fixed broken progressbar.

2006-02-01  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: We will now use gst_parse_launch() to create a
	  pipeline, since it allows us to be much more flexible. Some issues
	  with progressbar where fixed also.

2006-01-27  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Applied patch to remove stupid pygtk warning at
	  exit. thanks Hanno!

2006-01-24  Gautier Portet <kassoulet gmail com>

	* Makefile: Fixed build on Gentoo. And corrected a typo causing pl and
	  pt to be not installed
	* soundconverter.py|glade: Applied patch with new FileChooser.
	  thanks Regis!

2006-01-21  Gautier Portet <kassoulet gmail com>

	Release 0.8.3

	Added Error handling when trying to load files with invalid
	characters...


	Release 0.8.2

	make install-local #1154
	Pause button #1455

	Unique file #5334
	Folder dropping #5561
	Filtering by mime #5789
	Fixed problem with vbr #5872

	French Translation
	New list display
	UI Changes
	More precise progress bar
	Async tag reading
	Fixed gnomevfs problems with folders


2006-01-21  Gautier Portet <kassoulet gmail com>

	* Makefile: Added translations to build system.
	* fr.po: Updated french translation.
	* soundconverter.glade: Some minors changes.
	* soundconverter.py: Some minors fixes. The UI is now unsensitive
	  when we are converting. Fixed the convert button beiing called
	  when we were unpausing. And that's all!

2006-01-20  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: Fixed the convert/stop buttons, and some more
	  minor UI fixes.

2006-01-19  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: The progressbar should be more precise now.

2006-01-16  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: hum?!?!? File dropping was *again* broken, maybe
	  it's my evil twin who edits the code :)
	* soundconverter.py: added a timeout when reading tags.

2006-01-15  Gautier Portet <kassoulet gmail com>

	* soundconverter.glade: Reverted to old UI to make a release soon.
	* soundconverter.py: Changed the gst-lame problem at vbr-quality=9
	  handling for a cleaner one.

2006-01-11  Gautier Portet <kassoulet gmail com>

	* Makefile: Added install-local.
	  #1154 (Thanks Régis & Janis)
	* Added a makedirs() that use gnomevfs, so folders will really be
	  created now, even on remote filesystems.

2006-01-10  Gautier Portet <kassoulet gmail com>

	* Wow, fixed the problem when we generate filenames from tags but tags
	  are not read when preparing filenames.
	  This was a big mess, and I tried numerous solutions, but I will keep
	  the only one that is working for now: just wait tags to be read
	  before starting conversion. Sorry, this sucks...
	  Hopefully I read that GStreamer 0.10 is better with threads :)

2006-01-07  Gautier Portet <kassoulet gmail com>

	* Added the possibility to pause the conversion.

2005-12-25  Gautier Portet <kassoulet gmail com>

	* Files can only be added once in the list.

2005-12-22  Gautier Portet <kassoulet gmail com>

	* Finally got walking on gnomevfs to work. Now folder importing is really
	  usable...
	* Added a default to tags, so tag-filled destination paths will
	  be valid.

2005-12-20  Gautier Portet  <kassoulet gmail com>

	* Better type detection.
	* Temporary solved the (non?) problem when trying to convert files which
	  don't have tags filled yet.


2005-12-05  Gautier Portet  <kassoulet gmail com>

	* Files types are now detected at loading, expect filtering on types
	  soon.

2005-11-29 Gautier Portet  <kassoulet gmail com>

	* file list is now filled asynchronously with tags if they are
	  present.
	* list display is handled completely differently, hope its better like
	  this

2005-11-08  Gautier Portet <kassoulet gmail com>

	* better folder dropping: now we generate a good base/filename for
	  SoundFile. But it works not so well when we want to create folders
	  based on tags, so it will need some more work.

2005-11-07  Gautier Portet <kassoulet gmail com>

	* fixed broken folder dropping. (#5561)

2005-11-06 Gautier Portet <kassoulet gmail com>
	* drag and drop is now able to import a folder.
	* better display of example filename in preferences.
	* gnomevfs support.
	  #1365
	* add a temporary hack for abr/vbr mp3 with quality==9
	  #5445
	* release 0.8.1


2005-11-02 Gautier Portet <kassoulet gmail com>
	* fixed tree structure being lost when importing folders.
	  #5336

2005-10-25 Gautier Portet <kassoulet gmail com>
	* added brazilian translation.
	  (thanks jonh)
	* woops, really added polish translation this time.

2005-10-18 Gautier Portet <kassoulet gmail com>
	* applied patch for polish tranlation
	  (thanks Dominik)

2005-10-09 Gautier Portet <kassoulet gmail com>
	* added an option to apply to all queue the option choose
	  when overwriting.
	  #1341

2005-09-28 Gautier Portet <kassoulet gmail com>
	* applied patch from Elias for Gentoo

2005-09-20 ???  Gautier Portet <kassoulet gmail com>
	* added a display of the approximate bitrate of the output
	* fixed output format not always displayed updated
	  #4736 (thanks Janis)
	* at least a correct handling of the absence of gstreamer-lame
	* fixed a crash whith some output folders folders
	  #3840 (thanks Jason)
	* added a button to add a folder recursively
	* fixed a crash when loading preferences
	  #5128 (thanks Joe)



2005-06-13  Gautier Portet <kassoulet gmail com>
	* added french tranlation.
	  (thanks Guillaume Bedot <littletux@zarb.org>)
	* fixed a bug causing ogg tags to be ignored.
	  (thanks Noa Resare <noa@resare.com>)

2005-04-15  Gautier Portet <kassoulet gmail com>

	* reverted quality setting to 'real-world' quantities
	  -> values stored in gconf are now the values passed
       	  to gstreamer and not meaningless enums.
       	* added a label showing an aproximate bitrate in the
          preference window


2005-03-24  Gautier Portet <kassoulet gmail com>

	* Gracefully handled gnome.vfs deprecation (#3649)
	* Fixed broken "replace messy chars" button
	* Make use of urllib.unquote where appropriate (#3655)
	  (makedirs, replace messy chars)
	* Making release version 0.7.1

2005-03-24  Gautier Portet <kassoulet gmail com>

	* Making release version 0.7

2005-03-24  Gautier Portet <kassoulet gmail com>

	* soundconverter.glade: added a logo on the about box.

	* soundconverter.py: fixed about dialog showing only once (we need an
	optimal method for handling dialogs).

2005-03-23  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: added a dialog asking what to do when a file
	exists.

2005-03-22  Gautier Portet <kassoulet gmail com>

	* soundconverter.glade: added an Add button on toolbar, added
	separators.

2005-03-17  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: removed xing header generation when outputing mp3,
	since it seems to break xmms mad decoder.

	* soundconverter.glade: changed the preference dialog, for a cleaner
	one.

2005-03-15  Gautier Portet <kassoulet gmail com>

	* added the quality settings for vorbis and mp3

	* soundconverter.py: some code cleanup.

2005-03-14  Gautier Portet <kassoulet gmail com>

	* soundconverter.py: changed deprecated import gnome.vfs to gnomevfs

2005-02-27  Gautier Portet <kassoulet gmail com>

	* Added basic mp3 support

2004-12-31  Lars Wirzenius  <liw iki fi>

	* Making release version 0.5.

2004-12-31  Lars Wirzenius  <liw iki fi>

	* COPYING: Added.

	* README: Added copyright and license information.

2004-12-31  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Make sure all the keys used for formatting
	target names exist in the dict used for input to the patterns.

2004-12-31  Lars Wirzenius  <liw iki fi>

	* soundconverter.1: Wrote.

2004-12-31  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Better way to stop a TagReader pipeline
	that doesn't cause Gstreamer runtime warnings. Also, allow
	selecting multiple files in the new filechooser for adding
	files.

2004-12-31  Lars Wirzenius  <liw iki fi>

	* soundconverter.glade, soundconverter.py: Removed the addchoser
	dialog from the Glade file. Added code to create it in the Python
	file instead. The reason: mysteriously the "Cancel" and "Open"
	buttons disappeared from the dialog and this was the way to get
	them back, since it seems they need to be added explicitly when
	the dialog is created. Weird.

2004-12-31  Lars Wirzenius  <liw iki fi>

	* soundconverter.glade: Added a shortcut ctrl-O for adding new files.

2004-12-31  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Since we can deal with lots of kinds of input
	files, let's not have a filter in the file chooser.

2004-12-28  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Now using the "decodebin" GstElement for finding
	tags and decoding. Now we should be able to handle anything GStreamer
	can handle for input.

2004-12-27  Lars Wirzenius  <liw iki fi>

	* Making release version 0.4.

2004-12-24  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Handle error printing in cli mode as well.

2004-12-24  Lars Wirzenius  <liw iki fi>

	* soundconverter.py, soundconverter.glade: Refactoring to make
	error dialogs and their use better.

2004-12-24  Lars Wirzenius  <liw iki fi>

	* soundconverter.py, soundconverter.glade: Added example filename
	shown in the preferences dialog that is updated after each change.

2004-12-24  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Don't encode the name of the selected folder,
	just subfolders that are created and the basename.

2004-12-24  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: I am no longer a klutz. Implemented the
	creation of subfolders according to patterns.

2004-12-24  Lars Wirzenius  <liw iki fi>

	* soundconverter.py, soundconverter.glade: User may choose whether
	to create subfolders below the selected folder. Not that they are
	yet created, but I happened to commit the change already by
	mistake so now I need to write a ChangeLog entry as well. I am
	such a klutz.

2004-12-24  Lars Wirzenius  <liw iki fi>

	* soundconverter.py, soundconverter.glade: User may now choose
	whether output files are put into the same directory as the
	corresponding input files, or into a folder the user has
	specifically chosen.

2004-12-24  Lars Wirzenius  <liw iki fi>

	* soundconverter.py, soundconverter.glade: Made it possible again
	to choose whether "messy" characters in the target filenames are
	replaced with other characters.

2004-12-24  Lars Wirzenius  <liw iki fi>

	* soundconverter.py, soundconverter.glade: Simplified selection of
	basename generation: now there is only a single ComboBox selection
	instead of that plus two radio buttons. This should be clearer.

2004-12-23  Lars Wirzenius  <liw iki fi>

	* soundconverter.py, soundconverter.glade: The user may now
	choose how the output file is named: basename is the same as
	input file (but with suffix changed) or output name is
	constructed from meta data tags.

2004-12-23  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Changed the TargetNameGenerator to support
	keyword based patterns for location and basename.

	* soundconverterTests.py: Related changes.

2004-12-23  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Refactoring. Information about the input file
	(location, tags) is now kept in a separate class.

2004-12-23  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Added support for audio/x-wav for file chooser
	filter.

        * soundconverter.py, soundconverter.glade: Reworked the
        Preferences dialog. Only selection of output format and Ogg
        Vorbis quality levels work for now. The rest will follow.

2004-12-18  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Set name on the filter for the file chooser.

2004-12-15  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Make the GUI report how much time was spent
	for the conversions.

	* README: Add note about performance.

2004-12-15  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Reset the internal counters for dealing with
	progress when the job is finished, so that if we start a new job,
	the counters start from zero, not at the end of the previous job.

2004-12-15  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Added support for drag-and-dropping files
	from Nautilus to the file list in Sound Converter. This was based
	on a patch from Chris Jones, but I re-did to fit the style of
	my code.

2004-12-12  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: In Pipeline.work, don't do anything if the
	pipeline is stopped.

        * soundconverter.py: In TagReader.finish, call found_tag_hook
        unless it has been called already.

        * soundconverter.py: Add -q/--quiet option.

2004-12-05  Lars Wirzenius  <liw iki fi>

	* Making release version 0.3.

2004-12-05  Lars Wirzenius  <liw iki fi>

        * soundconverter.py: Added support for Wave files as output.

	* README: Updated.

2004-12-05  Lars Wirzenius  <liw iki fi>

        * soundconverter.py: Added support for Wave files (.wav,
        audio/x-wav) as input.

2004-12-05  Lars Wirzenius  <liw iki fi>

	* Makefile: Use snd/* for simple tag finding in "make check".

	* soundconverter.py: Minor refactoring.

2004-12-05  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Changed the output pipeline to use
	gnomevfssink for output, rather than filesink. We now do all I/O
	to the sound files via GNOME vfs.

2004-12-05  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Changed TargetNameGenerator to generate
	uris instead of filenames.

	* soundconverterTests.py: Related changes.

2004-12-05  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Input is now via gnomevfssrc, instead of
	filesrc, and all filenames that refer to the input have been
	converted to use file: urls.

2004-12-05  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Made usable from command line as well.

2004-11-28  Lars Wirzenius  <liw iki fi>

        * Making release version 0.2.

2004-11-28  Lars Wirzenius  <liw iki fi>

        * soundconverter.py: Fixed stopping.

2004-11-28  Lars Wirzenius  <liw iki fi>

        * soundconverter.py: the about dialog now shows name and version
        number.

        * soundconverter.glade: Added a bit of space around the label in
        the prefs dialog. This didn't make it less ugly, however.

2004-11-28  Lars Wirzenius  <liw iki fi>

        * soundconverter.py: Re-added support for vorbis-quality.

        * Makefile: Added "clean" target.

        * README: Cleanups and updates.

2004-11-28  Lars Wirzenius  <liw iki fi>

        * soundconverter.py: Rewrote task handling and tag reading and
        conversion stuff.

        * README: Added.

        * .cvsignore: Added.

2004-11-08  Lars Wirzenius  <liw iki fi>

        * soundconverter.py: Ported to work with current version
        (0.7.93-1) of python-gst. The change: can't create a
        gst.Element("foo"), need to call gst.element_factory_find("foo")
        instead.

        * soundconverter.py: Wrote a class TargetNameGenerator to generate
        the names of output files, and modified the rest of the program
        to use it. This should eventually implement a language for
        describing the output name (user can set patterns like
        "%(artist)s-%(album)s-%(title)s.%(suffix)s").

	* soundconverterTests.py: Wrote tests for TargetNameGenerator.

	* Makefile: Added a "check" target.

2004-10-29  Lars Wirzenius  <liw iki fi>

	* Making release version 0.1.

2004-10-29  Lars Wirzenius  <liw iki fi>

	* soundconverter.glade, soundconverter.py: If an output file
	  exists, ask the user what to do.

2004-10-29  Lars Wirzenius  <liw iki fi>

	* Makefile: Wrote.

2004-10-29  Lars Wirzenius  <liw iki fi>

	* soundconverter.glade, soundconverter.py: Added a preferences
	  dialog to allow setting of the quality level of the Ogg Vorbis
	  files we create. The value is stored in GConf.

2004-10-29  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Got rid of the useless File class, since the
	  same data is stored in the GtkListStore as well.

2004-10-25  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: More refactoring. Got rid of the useless
	  (since we only have one window) SoundConverterApp class.

2004-10-25  Lars Wirzenius  <liw iki fi>

	* soundconverter.py: Refactored so that the two background tasks
	  are based on a common base class that contains the common
	  functionality.
